import stanford.karel.SuperKarel;

public class A1_Collect extends SuperKarel {
    public void run() {
        go();
        left();
        while (frontIsClear()) {
            if (crystalsOnCell()) {
                get();
            }
            go();
        }
        if (crystalsOnCell()) {
            get();
        }
        left();
        go();
    }
}
